/**
 * Copyright (C) 2017-2020 Linagora
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

:host {
  height: 100%;
  overflow: auto;
}

.selected-workspace {
  font-weight: bold;
}

.description,
.workspace-description-edit {
  word-break: break-word;
  white-space: pre-line;
}

mat-card-content.workspace-description {
  margin-bottom: -16px;
}

mat-card-content.workspace-short-description > .short-description {
  word-break: break-word;
  white-space: pre-line;
}

.short-description-form-field,
.description-form-field {
  textarea {
    min-height: 80px;
    margin: 0;
    padding: 0;
    resize: none;
    border: none;
    overflow: auto;
    word-break: break-word;
    white-space: pre-line;
  }
}

.custom-border {
  border-bottom-width: 1px;
  border-bottom-style: solid;
}

mat-card.card-buses {
  mat-form-field {
    span > fa-icon {
      position: relative;
      bottom: 2px;
      margin: 8px;
    }
  }

  mat-form-field.passphrase-form-field,
  mat-form-field.pwd-form-field {
    margin-top: -24px;
  }

  mat-card-content > div.bus-grid-item > div.bus-item {
    a.bus-link {
      cursor: pointer;
      text-decoration: none;
      div.bus-svg-content {
        width: 100%;
        height: 100%;
        .mat-icon {
          width: 110px;
          height: 110px;
        }
        fa-icon {
          position: absolute;
        }
      }
      div.bus-footer {
        word-break: break-word;
        white-space: pre-line;
        padding: 0 16px;
      }
    }
    a.bus-detach {
      cursor: pointer;
      text-decoration: none;
      div.bus-svg-content {
        width: 100%;
        height: 100%;
        .mat-icon {
          width: 110px;
          height: 110px;
          opacity: 0.1;
        }
        fa-icon {
          position: absolute;
        }
        &.active {
          mat-icon {
            opacity: 0.8;
          }
        }
      }
      div.bus-footer {
        word-break: break-word;
        white-space: pre-line;
        padding: 0 16px;
      }
    }
  }
}

.user-name,
.user-id {
  word-break: break-word;
}

.add-user-form-field {
  mat-icon {
    padding-right: 8px;
  }
}

.btn-add-user {
  margin-bottom: 15px;
}
